from aiogram.fsm.context import FSMContext
from aiogram.types import CallbackQuery, Message

# Настройка экспорта в модули
__all__ = ("status_clear", "inline_clear")


async def inline_clear(message: Message | CallbackQuery) -> None:
    """Очищает все статусы инлайн сообщений"""
    if isinstance(message, CallbackQuery):
        await message.answer()


async def status_clear(message: Message | CallbackQuery, state: FSMContext) -> None:
    """Очищает все статусы, и отвечает на сообщения"""
    await state.clear()
    await inline_clear(message=message)
